%define upstream_name Unicode-EastAsianWidth-Detect
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Detect CJK Language
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build)
BuildArch:	noarch

%description
Unicode::EastAsianWidth::Detect is module that can detect the locale is CJK or
not.  For example, most of users who uses CJK languages are thinking that Easy
Asian Width Ambiguous Widths should be double cells.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.30.0-11.mga10
+ Revision: 2201220
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-10.mga9
+ Revision: 1806540
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-9.mga8
+ Revision: 1497933
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-8.mga7
+ Revision: 1272404
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1035439
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 971523
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.30.0-5.mga6
+ Revision: 891865
- BR perl(Module::Build)

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 741168
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 686788
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 662690
- imported package perl-Unicode-EastAsianWidth-Detect

